std::atomic::fetch_or(3)

NAME
std::atomic::fetch_or - std::atomic::fetch_or

Synopsis
   T fetch_or( T arg,
   std::memory_order order = (since C++11)
   std::memory_order_seq_cst ) noexcept; (member only of atomic<Integral>
   T fetch_or( T arg, template specialization)
   std::memory_order order =
   std::memory_order_seq_cst ) volatile noexcept;
   Atomically replaces the current value with the result of bitwise OR of the value and
   arg. The operation is read-modify-write operation. Memory is affected according to
   the value of order.
   The volatile-qualified version is deprecated if (since C++20)
   std::atomic<T>::is_always_lock_free is false.

Parameters
   arg - the other argument of bitwise OR
   order - memory order constraints to enforce

Return value
   The value immediately preceding the effects of this function in the modification
   order of *this.

See also
   atomic_fetch_or replaces the atomic object with the result of bitwise OR
   atomic_fetch_or_explicit with a non-atomic argument and obtains the previous value
   (C++11) of the atomic
   (C++11) (function template)